<?xml version='1.0' encoding='utf-8'?>
| <!DOCTYPE rfc SYSTEM "rfc2629-xhtml.ent" [
// external reference to RFCs
<!ENTITY rfc7991 SYSTEM "http://xml.resource.org/public/rfc/bibxml/reference.RFC.7991.xml">
<!ENTITY rfc2119 SYSTEM "http://xml.resource.org/public/rfc/bibxml/reference.RFC.2119.xml">
// local reference to another doc
<!ENTITY APC_DOC_GUIDELINES SYSTEM "references/reference.en-smm-apc-doc-guidelines-01.xml">
| ]>

// processing instructions
<?rfc toc="yes"?>
<?rfc symrefs="yes"?>
<?rfc compact="yes"?>
<?rfc subcompact="no"?>
<?rfc strict="no"?>
<?rfc rfcedstyle="yes"?>
<?rfc comments="yes"?>
<?rfc inline="yes"?>

// Mixin to insert 'unicode' characters
mixin utf
  u(format='char')
    block

//

  See RFC7991 for details about this file format

  Specify the category attribute per RFC2026
  options are info, std, bcp, exp or historic

  docName is the name of the output document, with its version number.

  If this document obsoletes an RFC, specify the RFC in the "obsoletes" attribute
  If this document updates an RFC, specify the RFC in the "updates" attribute

  Only published documents have 'number' attributes, drafts are versioned
  using their docName (and/or file name).

  category: std | bcp | info | exp | historic
  consensus: true if document has been reviewed false otherwise
rfc(category='exp' consensus='false' ipr='trust200902' docName='template-long-01' submissionType='be-gm-apc' obsoletes='' updates='' xml:lang='en' version='3' xmlns:xi='http://www.w3.org/2001/XInclude')
  front
    //
      Enter the full document title and an abbreviated version to use in the
      page header.

      The abbreviated title is used in the page header - it is only necessary
      if the full title is longer than 39 characters
    title(abbrev='Long Template Document') BE-GM-APC Long Template Document
    //
      copy the author block as many times as needed, one for each author.
      If the author is acting as editor, use the <role=editor> attribute
      see RFC2223 for guidelines regarding author names
    author(fullname='Sylvain Fargier' initials='S.F.' role='editor' surname='Fargier')
      organization CERN
      address
        postal
          street 1, Esplanade des Particules
          code 1217
          city Meyrin
          country Switzerland
        email sylvain.fargier@cern.ch
    //
      If the month and year are both specified and are the current ones, xml2rfc will fill in the current day for you.
      If only the current year is specified, xml2rfc will fill in the current day and month for you.
      If the year is not the current one, it is necessary to specify at least a month (xml2rfc assumes day="1" if not specified for the purpose of calculating the expiry date).  With drafts it is normally sufficient to
      specify just the year.
    date(year='2019' month="March")
    //
      Area is optional
      BUG: pug raises an error if area is added in non-xml format (due to area HTML item policies)
    <area>Management</area>
    //
      Use keywords to help searching for certain topics
    keyword template
    //
      Abstracts are brief descriptions of the document scope and objectives.
      It will be reused to refer to the document.
    abstract
      t This is a template document for the BE-GM-APC writers.

  middle
    // middle section is the core of the document
    section
      name Introduction
      //
        You can echo the abstract in the Introduction, providing citations here,
        but you should provide more than just the abstract.
      t
        | This is a template document for the BE-GM-APC stream writers.
      t
        | For additional information about this document, see
        | #[xref(target='APC_DOC_GUIDELINES')].

      // This one is a 'must' :)
      section
        name Requirements Notation
        t
          | The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
          | "SHOULD", "SHOULD NOT", "RECOMMENDED", "MAY", and "OPTIONAL" in this
          | document are to be interpreted as described in BCP 14,
          | #[xref(target='RFC2119' format='default') RFC2119].

    section
      name Content examples
      t This section will show a couple of syntactic examples.
      t
        | Full syntax documentation can be found here:
        | #[xref(target='RFC7991' format='default') RFC7991]

      section
        name texts
        t This is a simple text.
        t
          | This is a multiline text.

        t This text contains a 'degree' unicode character: #[+utf ˚]

      section
        name lists
        ul
          li This is a bullet-list

        dl
          dt hanging
          dd This is a 'hanging' list

      section
        name tables
        table(align='center')
          thead
            tr
              th(align='center') Column header 1
              th(align='center') Column header 2
          tbody
            tr
              td(align='center') content 1.1
              td(align='center') content 1.2
            tr
              td(align='center') content 2.1
              td(align='center') content 2.2

      section
        name figures
        t
          | Short figure preamble, use 'src=file://' as an attribute to artwork
          | tag if you want an external image to be displayed (only in PDF/HTML
          | versions), a simple text-based schematics SHOULD still be written.
        figure
          name Figure title
          artwork(align='center' type='ascii-art' name='' alt='')
            | <![CDATA[
            |  +-------+      +---------------+
            |  |       |      |               |
            |  | Jave5 <------> asciiflow.com |
            |  |       |      |               |
            |  +-------+      +---------------+
            | ]]>

        figure
          name External figure title
          artwork(align='center' type="svg" src='template-long/pug.svg')

      section(anchor='SEC_ANCHOR')
        name anchors
        t
          | This section is refering to itself:
          xref(target='SEC_ANCHOR')

        t Same but more compact: #[xref(target='SEC_ANCHOR')]
    //
      The Author's Addresses section will be generated automatically by XML2RFC
      from the front information.
    section
      name Contributors
      // Optional section to mention contributors

  back
    // References Section
    //
      Section 4.7f of [RFC2223bis] specifies the requirements for the
      references sections.  In particular, there MUST be separate lists of
      normative and informative references, each in a separate section.
      The style SHOULD follow that of recently published RFCs.
      In general, each normative reference SHOULD reference the most recent
      version of the specification in question.
    references
      name References
      references
        name Normative References
        | &rfc2119;
        // Use entities defined at the top of this document
        | &APC_DOC_GUIDELINES;

      references
        name Informative References
        | &rfc7991;

      references
        name URL References
        reference(anchor='xml2rfc' target='http://xml.resource.org')
          front
            title XML2RFC tools and documentation
            author
              organization RFC Editor
            date(year='2013')

    section(anchor='appendix')
      name Appendix A
      t
        | You can add appendices just as regular sections, the only difference is
        | that they go under "back" element, and get letters instead of numbers

    section
      name Change Log
      t A list of changes

    section
      name Open Issues
      t A list of open issues regarding this document
